LibreOffice 3.6.5 on amd

classic Classic list List threaded Threaded
18 messages Options
Reply | Threaded
Open this post in threaded view
|

LibreOffice 3.6.5 on amd

Albert Shih-2
Hi all,

Not very important for me but just informe you the libreoffice 3.6.5 ports
didn't build on

         FreeBSD 9.1-STABLE #1 r246113

with

[ build MOD ] basebmp
[ build MOD ] basegfx
[ build JAR ] unoil
[ build LNK ] Library/libofficebean.so
/usr/bin/ld: cannot find -ljawt
clang++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[2]: ***
[/tmp/lobuild/workdir/unxfbsd.pro/LinkTarget/Library/libofficebean.so] Erreur 1
gmake[2]: *** Attente des tâches non terminées.... 6 warnings generated.

Hope that's help the maintainers.

Regards.

JAS


--
Albert SHIH
DIO bâtiment 15
Observatoire de Paris
5 Place Jules Janssen
92195 Meudon Cedex
Téléphone : 01 45 07 76 26/06 86 69 95 71
xmpp: [hidden email]
Heure local/Local time:
mar 5 fév 2013 17:05:39 CET
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Baptiste Daroussin-2
On Tue, Feb 05, 2013 at 05:09:44PM +0100, Albert Shih wrote:

> Hi all,
>
> Not very important for me but just informe you the libreoffice 3.6.5 ports
> didn't build on
>
> FreeBSD 9.1-STABLE #1 r246113
>
> with
>
> [ build MOD ] basebmp
> [ build MOD ] basegfx
> [ build JAR ] unoil
> [ build LNK ] Library/libofficebean.so
> /usr/bin/ld: cannot find -ljawt
> clang++: error: linker command failed with exit code 1 (use -v to see invocation)
> gmake[2]: ***
> [/tmp/lobuild/workdir/unxfbsd.pro/LinkTarget/Library/libofficebean.so] Erreur 1
> gmake[2]: *** Attente des tâches non terminées.... 6 warnings generated.
>
> Hope that's help the maintainers.
>
> Regards.
>
> JAS
Apparently there is a problem building with the java option activated can you
try building without java?

Anyway most of the time java is not needed with libreoffice.

regards,
Bapt

attachment0 (203 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Kurt Jaeger-14
In reply to this post by Albert Shih-2
Hi!

> [ build LNK ] Library/libofficebean.so
> /usr/bin/ld: cannot find -ljawt

Same here:

http://www.freebsd.org/cgi/query-pr.cgi?pr=175856

--
[hidden email]            +49 171 3101372                         7 years to go !
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Kurt Jaeger-14
Hi!

> > [ build LNK ] Library/libofficebean.so
> > /usr/bin/ld: cannot find -ljawt
>
> Same here:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=175856

Pointer to

http://lists.freebsd.org/pipermail/freebsd-office/2013-February/001706.html

from jkim@ says:

cd /var/db/pkg
pkg_delete libcmis-0.1.0_1

and reinstall. Tested, works for me. I'm a happy camper 8-)

--
[hidden email]            +49 171 3101372                         7 years to go !
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Albert Shih-2
In reply to this post by Baptiste Daroussin-2
 Le 05/02/2013 ? 17:11:57+0100, Baptiste Daroussin a écrit

> On Tue, Feb 05, 2013 at 05:09:44PM +0100, Albert Shih wrote:
> > Hi all,
> >
> > Not very important for me but just informe you the libreoffice 3.6.5 ports
> > didn't build on
> >
> > FreeBSD 9.1-STABLE #1 r246113
> >
> > with
> >
> > [ build MOD ] basebmp
> > [ build MOD ] basegfx
> > [ build JAR ] unoil
> > [ build LNK ] Library/libofficebean.so
> > /usr/bin/ld: cannot find -ljawt
> > clang++: error: linker command failed with exit code 1 (use -v to see invocation)
> > gmake[2]: ***
> > [/tmp/lobuild/workdir/unxfbsd.pro/LinkTarget/Library/libofficebean.so] Erreur 1
> > gmake[2]: *** Attente des tâches non terminées.... 6 warnings generated.
> >
> > Hope that's help the maintainers.
> >
> > Regards.
> >
> > JAS
>
> Apparently there is a problem building with the java option activated can you
> try building without java?

No building either, without java the build end with this error (on two
AMD64 FreeBSD 9.1-Stable) :

[ building ZIP ] xhp_swriter_en-US.zip
[ building ZIP ] xhp_swriter_en-US.zip
[ building ZIP ] sbasic_en-US.zip
Entering /usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/simpress

[ building ZIP ] xhp_simpress_en-US.zip
[ building ZIP ] sdraw_en-US.zip
[ building ZIP ] xhp_simpress_en-US.zip
[ building ZIP ] schart_en-US.zip
[ building ZIP ] swriter_en-US.zip
[ building ZIP ] simpress_en-US.zip
helpcontent2 deliver
Module 'helpcontent2' delivered successfully. 10 files copied, 1 files
unchanged

Hope that help

Regards.

JAS

--
Albert SHIH
DIO bâtiment 15
Observatoire de Paris
5 Place Jules Janssen
92195 Meudon Cedex
Téléphone : 01 45 07 76 26/06 86 69 95 71
xmpp: [hidden email]
Heure local/Local time:
mer 6 fév 2013 16:16:08 CET
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Baptiste Daroussin-2
On Wed, Feb 06, 2013 at 04:17:11PM +0100, Albert Shih wrote:

>  Le 05/02/2013 ? 17:11:57+0100, Baptiste Daroussin a écrit
> > On Tue, Feb 05, 2013 at 05:09:44PM +0100, Albert Shih wrote:
> > > Hi all,
> > >
> > > Not very important for me but just informe you the libreoffice 3.6.5 ports
> > > didn't build on
> > >
> > > FreeBSD 9.1-STABLE #1 r246113
> > >
> > > with
> > >
> > > [ build MOD ] basebmp
> > > [ build MOD ] basegfx
> > > [ build JAR ] unoil
> > > [ build LNK ] Library/libofficebean.so
> > > /usr/bin/ld: cannot find -ljawt
> > > clang++: error: linker command failed with exit code 1 (use -v to see invocation)
> > > gmake[2]: ***
> > > [/tmp/lobuild/workdir/unxfbsd.pro/LinkTarget/Library/libofficebean.so] Erreur 1
> > > gmake[2]: *** Attente des tâches non terminées.... 6 warnings generated.
> > >
> > > Hope that's help the maintainers.
> > >
> > > Regards.
> > >
> > > JAS
> >
> > Apparently there is a problem building with the java option activated can you
> > try building without java?
>
> No building either, without java the build end with this error (on two
> AMD64 FreeBSD 9.1-Stable) :
>
> [ building ZIP ] xhp_swriter_en-US.zip
> [ building ZIP ] xhp_swriter_en-US.zip
> [ building ZIP ] sbasic_en-US.zip
> Entering /usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/simpress
>
> [ building ZIP ] xhp_simpress_en-US.zip
> [ building ZIP ] sdraw_en-US.zip
> [ building ZIP ] xhp_simpress_en-US.zip
> [ building ZIP ] schart_en-US.zip
> [ building ZIP ] swriter_en-US.zip
> [ building ZIP ] simpress_en-US.zip
> helpcontent2 deliver
> Module 'helpcontent2' delivered successfully. 10 files copied, 1 files
> unchanged
>
> Hope that help
>
> Regards.
>
> JAS
>
That doesn't help as you show a succesfull part :)

regards,
Bapt

attachment0 (203 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Albert Shih-2
 Le 06/02/2013 ? 16:20:18+0100, Baptiste Daroussin a écrit

> > [ building ZIP ] xhp_swriter_en-US.zip
> > [ building ZIP ] sbasic_en-US.zip
> > Entering /usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/simpress
> >
> > [ building ZIP ] xhp_simpress_en-US.zip
> > [ building ZIP ] sdraw_en-US.zip
> > [ building ZIP ] xhp_simpress_en-US.zip
> > [ building ZIP ] schart_en-US.zip
> > [ building ZIP ] swriter_en-US.zip
> > [ building ZIP ] simpress_en-US.zip
> > helpcontent2 deliver
> > Module 'helpcontent2' delivered successfully. 10 files copied, 1 files
> > unchanged
> >
> > Hope that help
> >
> > Regards.
> >
> > JAS
> >
>
> That doesn't help as you show a succesfull part :)

S***....sorry :

(If you like I can give you all ouput, just ask).


=============
(38/40) Building module testtools
=============
Entering
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/testtools/prj

gbuild module
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/testtools:
gmake -f Makefile -j1 -rs all slowcheck gb_PARTIALBUILD=T
Entering
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/scalc

Entering
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/smath

Entering
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/sdatabase

[ build IDL ] testtools/source/bridgetest/idl/idl
[ build UNO ] bridgetest_out
[ build UNO ] bridgetest
[ build HPP ] bridgetest
[ build MOD ] testtools
[ build ALL ] top level modules: testtools
[ build ALL ] loaded modules: testtools

gmake[2]: ***
[/tmp/lobuild/workdir/unxfbsd.pro/CustomTarget/testtools/uno_test.done]
Segmentation fault: 11 (core dump créé)
Entering
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/sbasic

[ building ZIP ] sdatabase_en-US.zip
Entering
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/sdraw

[ building ZIP ] smath_en-US.zip
Entering
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/shared

[ building ZIP ] shared_en-US.zip
Entering
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/schart

[ building ZIP ] sbasic_en-US.zip
Entering
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/swriter

[ building ZIP ] scalc_en-US.zip
Entering
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/simpress

[ building ZIP ] schart_en-US.zip
[ building ZIP ] sdraw_en-US.zip
[ building ZIP ] swriter_en-US.zip
[ building ZIP ] simpress_en-US.zip
helpcontent2 deliver
Module 'helpcontent2' delivered successfully. 10 files copied, 1 files
unchanged

-----------------------------------------------------------------------
        Oh dear - something failed during the build - sorry !
  For more help with debugging build errors, please see the section in:
            http://wiki.documentfoundation.org/Development

  internal build errors:

ERROR: error 512 occurred while making
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/testtools/prj

 it seems that the error is inside 'testtools', please re-run build
 inside this module to isolate the error and/or test your fix:

build_error.log should contain the captured output of the failed module(s)

-----------------------------------------------------------------------
To rebuild a specific module:

gmake testtools.clean # optional
gmake testtools

when the problem is isolated and fixed, re-run 'gmake'
gmake[1]: *** [build-packimages] Erreur 1
gmake[1] : on quitte le répertoire «
/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2 »
gmake: *** [all] Erreur 2
*** [do-build] Error code 1

Stop in /usr/ports/editors/libreoffice.

*******************************************************************

All ports is up2date (except libreoffice)

Here the options file :

[root@ libreoffice]# more /var/db/ports/libreoffice/options
# This file is auto-generated by 'make config'.
# Options for libreoffice-3.6.5
_OPTIONS_READ=libreoffice-3.6.5
_FILE_COMPLETE_OPTIONS_LIST=CPPUNIT CUPS DEBUG GNOME GTK2 GTK3 JAVA KDE4 MERGELIBS MMEDIA PGSQL SDK SVG SYSTRAY WEBDAV
OPTIONS_FILE_UNSET+=CPPUNIT
OPTIONS_FILE_SET+=CUPS
OPTIONS_FILE_UNSET+=DEBUG
OPTIONS_FILE_UNSET+=GNOME
OPTIONS_FILE_SET+=GTK2
OPTIONS_FILE_UNSET+=GTK3
OPTIONS_FILE_UNSET+=JAVA
OPTIONS_FILE_UNSET+=KDE4
OPTIONS_FILE_SET+=MERGELIBS
OPTIONS_FILE_UNSET+=MMEDIA
OPTIONS_FILE_UNSET+=PGSQL
OPTIONS_FILE_UNSET+=SDK
OPTIONS_FILE_SET+=SVG
OPTIONS_FILE_UNSET+=SYSTRAY
OPTIONS_FILE_UNSET+=WEBDAV
[root@ libreoffice]#


Regards.

JAS

--
Albert SHIH
DIO bâtiment 15
Observatoire de Paris
5 Place Jules Janssen
92195 Meudon Cedex
Téléphone : 01 45 07 76 26/06 86 69 95 71
xmpp: [hidden email]
Heure local/Local time:
mer 6 fév 2013 16:33:06 CET
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Denny Lin-3
On Wed, Feb 06, 2013 at 04:38:07PM +0100, Albert Shih wrote:

>  Le 06/02/2013 ? 16:20:18+0100, Baptiste Daroussin a écrit
> =============
> (38/40) Building module testtools
> =============
> Entering
> /usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/testtools/prj
>
> gbuild module
> /usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/testtools:
> gmake -f Makefile -j1 -rs all slowcheck gb_PARTIALBUILD=T
> Entering
> /usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/scalc
>
> Entering
> /usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/smath
>
> Entering
> /usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2/helpcontent2/util/sdatabase
>
> [ build IDL ] testtools/source/bridgetest/idl/idl
> [ build UNO ] bridgetest_out
> [ build UNO ] bridgetest
> [ build HPP ] bridgetest
> [ build MOD ] testtools
> [ build ALL ] top level modules: testtools
> [ build ALL ] loaded modules: testtools
>
> gmake[2]: ***
> [/tmp/lobuild/workdir/unxfbsd.pro/CustomTarget/testtools/uno_test.done]
> Segmentation fault: 11 (core dump créé)

I am also seeing this on -CURRENT amd64. For some reason uno causes a
segmentation fault. I do not have Java enabled.

This is the exact command that causes the segfault:
S=/tmpfs/usr/ports/editors/libreoffice/work/libreoffice-core-3.6.5.2 && O=/tmp/lobuild/solver/unxfbsd.pro && W=/tmp/lobuild/workdir/unxfbsd.pro &&  $O/bin/uno -ro $O/xml/uno_services.rdb -ro $O/bin/udkapi.rdb -ro $W/UnoApiTarget/bridgetest.rdb -s com.sun.star.test.bridge.BridgeTest -- com.sun.star.test.bridge.CppTestObject
gmake: *** [/tmp/lobuild/workdir/unxfbsd.pro/CustomTarget/testtools/uno_test.done] Segmentation fault (core dumped)

--
Denny Lin
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Olivier Smedts
2013/2/6 Denny Lin <[hidden email]>:
>> gmake[2]: ***
>> [/tmp/lobuild/workdir/unxfbsd.pro/CustomTarget/testtools/uno_test.done]
>> Segmentation fault: 11 (core dump créé)
>
> I am also seeing this on -CURRENT amd64. For some reason uno causes a
> segmentation fault. I do not have Java enabled.

"Metoo" : uno segfault during testtools stage. 10-CURRENT amd64,
system and most ports compiled with clang.

--
Olivier Smedts                                                 _
                                        ASCII ribbon campaign ( )
e-mail: [hidden email]        - against HTML email & vCards  X
www: http://www.gid0.org    - against proprietary attachments / \

  "Il y a seulement 10 sortes de gens dans le monde :
  ceux qui comprennent le binaire,
  et ceux qui ne le comprennent pas."
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Jung-uk Kim
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 2013-02-06 11:15:44 -0500, Olivier Smedts wrote:
> 2013/2/6 Denny Lin <[hidden email]>:
>>> gmake[2]: ***
>>> [/tmp/lobuild/workdir/unxfbsd.pro/CustomTarget/testtools/uno_test.done]
>>>
>>>
Segmentation fault: 11 (core dump créé)
>>
>> I am also seeing this on -CURRENT amd64. For some reason uno
>> causes a segmentation fault. I do not have Java enabled.
>
> "Metoo" : uno segfault during testtools stage. 10-CURRENT amd64,
> system and most ports compiled with clang.

You can bypass the test with this patch:

http://svn.redports.org/office/editors/libreoffice/files/patch-testtools__Module_testtools.mk

Drop the file in libreoffice/files directory and rebuild.

Actually, I am going to commit it soonish because I've seen enough
complaints already. :-(

Jung-uk Kim
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (FreeBSD)

iQEcBAEBAgAGBQJREp6gAAoJECXpabHZMqHOl90IAIKy7qOXbjgtyJk1huknWQKB
S8JXxYCYCwJ737zJRdf5GIJHj1tANGNZfXKeHziMl2GJImGSXn+heSNQnJ+yt1fb
xhgttZYfUHlaMZzMBzGAHVQXjoRxprgRz7uZSy8oUA86VZ6GG0qPjaBobM9DoHYa
IReJYXUvD1q+lBHXXcodV+k7hVLM3+UoVPxPNCa0h1cj1NFaDsTS7kPLMaT7vMJS
C6A2c5LmVOVwzqjFTaiAeSVMYzx1f7hONZIlCtKzjePoVOfNh6vy5YRhEwDVpgF6
Q3ppyygUI9ULuQyWS5Z/twY40SIz5PNCH+MoOZDV42A9MTP4xkndJkMuI8lkLjI=
=hkMF
-----END PGP SIGNATURE-----
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Jung-uk Kim
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 2013-02-06 13:19:12 -0500, Jung-uk Kim wrote:
> On 2013-02-06 11:15:44 -0500, Olivier Smedts wrote:
>> 2013/2/6 Denny Lin <[hidden email]>:
>>>> gmake[2]: ***
>>>> [/tmp/lobuild/workdir/unxfbsd.pro/CustomTarget/testtools/uno_test.done]
>>>>
>>>>
>
>>>>
>>>>
Segmentation fault: 11 (core dump créé)

>>>
>>> I am also seeing this on -CURRENT amd64. For some reason uno
>>> causes a segmentation fault. I do not have Java enabled.
>
>> "Metoo" : uno segfault during testtools stage. 10-CURRENT amd64,
>> system and most ports compiled with clang.
>
> You can bypass the test with this patch:
>
> http://svn.redports.org/office/editors/libreoffice/files/patch-testtools__Module_testtools.mk
>
>
>
Drop the file in libreoffice/files directory and rebuild.
>
> Actually, I am going to commit it soonish because I've seen enough
>  complaints already. :-(

Committed (r311792).  Make sure to turn off C++ unit tests, i.e.,
unset CPPUNIT option.

Jung-uk Kim
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (FreeBSD)

iQEcBAEBAgAGBQJRErkcAAoJECXpabHZMqHOXEgIAMHEe2p5+B9FsChvm4j/TWD+
lNiJPqjLxBBU24nqTQuzso5SXPCVU2dALeb/jkg/VnXqySQtiDRFBPOt+FexbqKj
8GL7VyK+fGlck7ROXGlXy3h7Th9ol5rjfwAoCJgCVV/WaXG/zGq64hiIkYdwQ27u
Y9XfE03PVEKstIGro9uHgxSCYRhzm6Z5/RI8etiacjwdZlvLGaLXhc0IMMml9h1M
POLptoVjcRW4VG6cMUKKkLZ92kQpzYG64p1su7nUL24avjwdCabY/cSnB1ehT4un
+UdhLf5JH3Rmm1RRGBmyNm9wCOdKAh/NzDsgLHyxs0QdqsFoqME7J5ht3BipKZk=
=9b7E
-----END PGP SIGNATURE-----
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Olivier Smedts
In reply to this post by Jung-uk Kim
2013/2/6 Jung-uk Kim <[hidden email]>:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> On 2013-02-06 11:15:44 -0500, Olivier Smedts wrote:
>> 2013/2/6 Denny Lin <[hidden email]>:
>>>> gmake[2]: ***
>>>> [/tmp/lobuild/workdir/unxfbsd.pro/CustomTarget/testtools/uno_test.done]
>>>>
>>>>
> Segmentation fault: 11 (core dump crיי)
>>>
>>> I am also seeing this on -CURRENT amd64. For some reason uno
>>> causes a segmentation fault. I do not have Java enabled.
>>
>> "Metoo" : uno segfault during testtools stage. 10-CURRENT amd64,
>> system and most ports compiled with clang.
>
> You can bypass the test with this patch:
>
> http://svn.redports.org/office/editors/libreoffice/files/patch-testtools__Module_testtools.mk
>
> Drop the file in libreoffice/files directory and rebuild.
>
> Actually, I am going to commit it soonish because I've seen enough
> complaints already. :-(

Thanks, libreoffice now builds and runs !

--
Olivier Smedts                                                 _
                                        ASCII ribbon campaign ( )
e-mail: [hidden email]        - against HTML email & vCards  X
www: http://www.gid0.org    - against proprietary attachments / \

  "Il y a seulement 10 sortes de gens dans le monde :
  ceux qui comprennent le binaire,
  et ceux qui ne le comprennent pas."
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Albert Shih-2
 Le 07/02/2013 ? 11:18:34+0100, Olivier Smedts a écrit

> 2013/2/6 Jung-uk Kim <[hidden email]>:
> > -----BEGIN PGP SIGNED MESSAGE-----
> > Hash: SHA1
> >
> > On 2013-02-06 11:15:44 -0500, Olivier Smedts wrote:
> >> 2013/2/6 Denny Lin <[hidden email]>:
> >>>> gmake[2]: ***
> >>>> [/tmp/lobuild/workdir/unxfbsd.pro/CustomTarget/testtools/uno_test.done]
> >>>>
> >>>>
> > Segmentation fault: 11 (core dump crיי)
> >>>
> >>> I am also seeing this on -CURRENT amd64. For some reason uno
> >>> causes a segmentation fault. I do not have Java enabled.
> >>
> >> "Metoo" : uno segfault during testtools stage. 10-CURRENT amd64,
> >> system and most ports compiled with clang.
> >
> > You can bypass the test with this patch:
> >
> > http://svn.redports.org/office/editors/libreoffice/files/patch-testtools__Module_testtools.mk
> >
> > Drop the file in libreoffice/files directory and rebuild.
> >
> > Actually, I am going to commit it soonish because I've seen enough
> > complaints already. :-(
>
> Thanks, libreoffice now builds and runs !

I concur

Regards.

JAS
--
Albert SHIH
DIO bâtiment 15
Observatoire de Paris
5 Place Jules Janssen
92195 Meudon Cedex
Téléphone : 01 45 07 76 26/06 86 69 95 71
xmpp: [hidden email]
Heure local/Local time:
jeu 7 fév 2013 13:04:08 CET
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Albert Shih-2
In reply to this post by Olivier Smedts
 Le 07/02/2013 ? 11:18:34+0100, Olivier Smedts a écrit

> 2013/2/6 Jung-uk Kim <[hidden email]>:
> > -----BEGIN PGP SIGNED MESSAGE-----
> > Hash: SHA1
> >
> > On 2013-02-06 11:15:44 -0500, Olivier Smedts wrote:
> >> 2013/2/6 Denny Lin <[hidden email]>:
> >>>> gmake[2]: ***
> >>>> [/tmp/lobuild/workdir/unxfbsd.pro/CustomTarget/testtools/uno_test.done]
> >>>>
> >>>>
> > Segmentation fault: 11 (core dump crיי)
> >>>
> >>> I am also seeing this on -CURRENT amd64. For some reason uno
> >>> causes a segmentation fault. I do not have Java enabled.
> >>
> >> "Metoo" : uno segfault during testtools stage. 10-CURRENT amd64,
> >> system and most ports compiled with clang.
> >
> > You can bypass the test with this patch:
> >
> > http://svn.redports.org/office/editors/libreoffice/files/patch-testtools__Module_testtools.mk
> >
> > Drop the file in libreoffice/files directory and rebuild.
> >
> > Actually, I am going to commit it soonish because I've seen enough
> > complaints already. :-(
>
On one of my pc everything compile, everything work but the registration
don't work, the make install finish with :


===>   Registering installation for libreoffice-3.6.5_1
pkg_create: read_plist: unknown command '@dirrmtry share/mimelnk/application' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/mimelnk' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/mime/packages' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/mime' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/16x16/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/16x16/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/16x16' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/scalable/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/scalable/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/scalable' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/48x48/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/48x48/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/48x48' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/32x32/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/32x32/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/32x32' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/256x256/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/256x256/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/256x256' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/16x16/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/16x16/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/16x16' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/128x128/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/128x128/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/128x128' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/scalable/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/scalable/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/scalable' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/48x48/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/48x48/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/48x48' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/32x32/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/32x32/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/32x32' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/256x256/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/256x256/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/256x256' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/16x16/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/16x16/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/16x16' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/128x128/mimetypes' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/128x128/apps' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/128x128' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/icons' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry share/applications' (package tools out of date?)
pkg_create: read_plist: unknown command '@dirrmtry etc/bash_completion.d' (package tools out of date?)
pkg_create: write_plist: unknown command type -1 (share/mimelnk/application)
*** [fake-pkg] Error code 2

Stop in /usr/ports/editors/libreoffice.
*** [reinstall] Error code 1

Stop in /usr/ports/editors/libreoffice.

Any idea ?

Regards.

JAS

--
Albert SHIH
DIO bâtiment 15
Observatoire de Paris
5 Place Jules Janssen
92195 Meudon Cedex
Téléphone : 01 45 07 76 26/06 86 69 95 71
xmpp: [hidden email]
Heure local/Local time:
ven 8 fév 2013 14:39:35 CET
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Kevin Oberman-3
On Fri, Feb 8, 2013 at 5:41 AM, Albert Shih <[hidden email]> wrote:

>  Le 07/02/2013 ? 11:18:34+0100, Olivier Smedts a écrit
>> 2013/2/6 Jung-uk Kim <[hidden email]>:
>> > -----BEGIN PGP SIGNED MESSAGE-----
>> > Hash: SHA1
>> >
>> > On 2013-02-06 11:15:44 -0500, Olivier Smedts wrote:
>> >> 2013/2/6 Denny Lin <[hidden email]>:
>> >>>> gmake[2]: ***
>> >>>> [/tmp/lobuild/workdir/unxfbsd.pro/CustomTarget/testtools/uno_test.done]
>> >>>>
>> >>>>
>> > Segmentation fault: 11 (core dump crיי)
>> >>>
>> >>> I am also seeing this on -CURRENT amd64. For some reason uno
>> >>> causes a segmentation fault. I do not have Java enabled.
>> >>
>> >> "Metoo" : uno segfault during testtools stage. 10-CURRENT amd64,
>> >> system and most ports compiled with clang.
>> >
>> > You can bypass the test with this patch:
>> >
>> > http://svn.redports.org/office/editors/libreoffice/files/patch-testtools__Module_testtools.mk
>> >
>> > Drop the file in libreoffice/files directory and rebuild.
>> >
>> > Actually, I am going to commit it soonish because I've seen enough
>> > complaints already. :-(
>>
> On one of my pc everything compile, everything work but the registration
> don't work, the make install finish with :
>
>
> ===>   Registering installation for libreoffice-3.6.5_1
> pkg_create: read_plist: unknown command '@dirrmtry share/mimelnk/application' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/mimelnk' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/mime/packages' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/mime' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/16x16/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/16x16/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/16x16' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/scalable/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/scalable/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/scalable' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/48x48/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/48x48/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/48x48' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/32x32/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/32x32/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/32x32' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/256x256/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/256x256/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/256x256' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/16x16/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/16x16/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/16x16' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/128x128/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/128x128/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor/128x128' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/hicolor' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/scalable/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/scalable/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/scalable' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/48x48/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/48x48/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/48x48' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/32x32/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/32x32/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/32x32' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/256x256/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/256x256/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/256x256' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/16x16/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/16x16/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/16x16' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/128x128/mimetypes' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/128x128/apps' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome/128x128' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons/gnome' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/icons' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/applications' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry etc/bash_completion.d' (package tools out of date?)
> pkg_create: write_plist: unknown command type -1 (share/mimelnk/application)
> *** [fake-pkg] Error code 2
>
> Stop in /usr/ports/editors/libreoffice.
> *** [reinstall] Error code 1
>
> Stop in /usr/ports/editors/libreoffice.
>
> Any idea ?
>
> Regards.
>
> JAS

I get the same thing and libreoffice puts up the splash screen, sits
for about 6 seconds without updating the progress bar at all, and
exits without error (0). Ugh!
--
R. Kevin Oberman, Network Engineer
E-mail: [hidden email]
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Albert Shih-2
 Le 08/02/2013 ? 12:35:12-0800, Kevin Oberman a écrit

> On Fri, Feb 8, 2013 at 5:41 AM, Albert Shih <[hidden email]> wrote:
> >> > complaints already. :-(
> >>
> > On one of my pc everything compile, everything work but the registration
> > don't work, the make install finish with :
> >
> >
> > ===>   Registering installation for libreoffice-3.6.5_1
> > pkg_create: read_plist: unknown command '@dirrmtry share/mimelnk/application' (package tools out of date?)
> > pkg_create: read_plist: unknown command '@dirrmtry share/mimelnk' (package tools out of date?)
> > pkg_create: read_plist: unknown command '@dirrmtry share/mime/packages' (package tools out of date?)
> > pkg_create: read_plist: unknown command '@dirrmtry share/mime' (package tools out of date?)
> > pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32/mimetypes' (package tools out of date?)
> > pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32/apps' (package tools out of date?)
> > pkg_create: write_plist: unknown command type -1 (share/mimelnk/application)
> > *** [fake-pkg] Error code 2
> >
> > Stop in /usr/ports/editors/libreoffice.
> > *** [reinstall] Error code 1
> >
> > Stop in /usr/ports/editors/libreoffice.
> >
> > Any idea ?
> >
>
> I get the same thing and libreoffice puts up the splash screen, sits
> for about 6 seconds without updating the progress bar at all, and
> exits without error (0). Ugh!

Absolutely....and work fine. But if you do

        pkg_info|grep libreoff

you can see they are a little problem about the registration. Nothing to do
with the compilation or the installation.

Regards.

JAS

NB: By the way I would like to thanks all maintainer of all those ports....

--
Albert SHIH
DIO bâtiment 15
Observatoire de Paris
5 Place Jules Janssen
92195 Meudon Cedex
Téléphone : 01 45 07 76 26/06 86 69 95 71
xmpp: [hidden email]
Heure local/Local time:
ven 8 fév 2013 21:41:18 CET
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Kevin Oberman-3
On Fri, Feb 8, 2013 at 12:43 PM, Albert Shih <[hidden email]> wrote:

>  Le 08/02/2013 ? 12:35:12-0800, Kevin Oberman a écrit
>> On Fri, Feb 8, 2013 at 5:41 AM, Albert Shih <[hidden email]> wrote:
>> >> > complaints already. :-(
>> >>
>> > On one of my pc everything compile, everything work but the registration
>> > don't work, the make install finish with :
>> >
>> >
>> > ===>   Registering installation for libreoffice-3.6.5_1
>> > pkg_create: read_plist: unknown command '@dirrmtry share/mimelnk/application' (package tools out of date?)
>> > pkg_create: read_plist: unknown command '@dirrmtry share/mimelnk' (package tools out of date?)
>> > pkg_create: read_plist: unknown command '@dirrmtry share/mime/packages' (package tools out of date?)
>> > pkg_create: read_plist: unknown command '@dirrmtry share/mime' (package tools out of date?)
>> > pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32/mimetypes' (package tools out of date?)
>> > pkg_create: read_plist: unknown command '@dirrmtry share/icons/locolor/32x32/apps' (package tools out of date?)
>> > pkg_create: write_plist: unknown command type -1 (share/mimelnk/application)
>> > *** [fake-pkg] Error code 2
>> >
>> > Stop in /usr/ports/editors/libreoffice.
>> > *** [reinstall] Error code 1
>> >
>> > Stop in /usr/ports/editors/libreoffice.
>> >
>> > Any idea ?
>> >
>>
>> I get the same thing and libreoffice puts up the splash screen, sits
>> for about 6 seconds without updating the progress bar at all, and
>> exits without error (0). Ugh!
>
> Absolutely....and work fine. But if you do
>
>         pkg_info|grep libreoff
>
> you can see they are a little problem about the registration. Nothing to do
> with the compilation or the installation.

Ah. Didn't read my whole response, I guess.

It does not work fine. It puts up the Libreoffice3 splash ofr 6
seconds and exits with no error (returns 0). That is a long way from
"work fine". I have still have libreoffice-3.6.5 on my laptop and it
does work, but I don't know if the changes in PORTREVISION 1 broke it
or if there is an issue with the i386 build. The one that works is an
amd64.

I'll try updating the amd64 system tonight and see how it does. I see
jkim has fixed the plist issue.
--
R. Kevin Oberman, Network Engineer
E-mail: [hidden email]
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice 3.6.5 on amd

Dominic Fandrey-2
In reply to this post by Albert Shih-2
On 08/02/2013 14:41, Albert Shih wrote:
> ===>   Registering installation for libreoffice-3.6.5_1
> pkg_create: read_plist: unknown command '@dirrmtry share/mimelnk/application' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/mimelnk' (package tools out of date?)
> pkg_create: read_plist: unknown command '@dirrmtry share/mime/packages' (package tools out of date?)
> ...
>
> Any idea ?

I thought I somehow had my tinderbox jails polluted by creating legacy
and pkgng builds from the same jails.

I just removed all my jails to start from scratch, because of that.
And all the packages, because I suspected they were created with
a mixed set of pkg-tools. Ouch.

This mess is going to compile for a couple of days. :D


--
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"